Name: riscv-bbl-utils
Version: 0.3
Release: alt1
Summary: Utils for RISC-V Berkeley Bootloader
License: %gpl3only
Group: System/Configuration/Boot and Init
URL: https://github.com/dalegr/riscv-bbl-utils

Source0: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: rpm-build-licenses gdisk

%global _configure_script ../configure

%description
This is a set of utils for a Berkeley BootLoader (BBL) for RISC-V HiFive Unleashed board.
This utils allows one to patch the BBL raw image with linux kernel - vmlinux.

%prep
%setup
%patch -p1

%build
%autoreconf
mkdir build && cd build
%configure
%make_build

%install
cd build
%make_install install DESTDIR="%buildroot"

%files
%_bindir/bbl-patch
%_bindir/mkbbl

%changelog
* Tue Dec 7 2018 Nikita Ermakov <arei@altlinux.org> 0.3-alt1
- Initial release.
